<Type Name="EventLog" FullName="System.Diagnostics.EventLog">
  <TypeSignature Language="C#" Value="public class EventLog : System.ComponentModel.Component, IComponent, IDisposable, ISupportInitialize" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.ComponentModel.Component</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.ComponentModel.IComponent</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.IDisposable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.ComponentModel.ISupportInitialize</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes>
    <Attribute>
      <AttributeName>System.ComponentModel.InstallerTypeAttribute</AttributeName>
    </Attribute>
    <Attribute>
      <AttributeName>System.ComponentModel.DefaultEventAttribute</AttributeName>
    </Attribute>
    <Attribute>
      <AttributeName>System.ComponentModel.DesignerAttribute</AttributeName>
    </Attribute>
  </Attributes>
  <Members>
    <Member MemberName="CreateEventSource">
      <MemberSignature Language="C#" Value="public static void CreateEventSource (string source, string logName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
		<Parameter Name="logName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <param name="logName">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateEventSource">
      <MemberSignature Language="C#" Value="public static void CreateEventSource (string source, string logName, string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
		<Parameter Name="logName" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <param name="logName">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Delete">
      <MemberSignature Language="C#" Value="public static void Delete (string logName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="logName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="logName">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Delete">
      <MemberSignature Language="C#" Value="public static void Delete (string logName, string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="logName" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="logName">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DeleteEventSource">
      <MemberSignature Language="C#" Value="public static void DeleteEventSource (string source);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="DeleteEventSource">
      <MemberSignature Language="C#" Value="public static void DeleteEventSource (string source, string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Exists">
      <MemberSignature Language="C#" Value="public static bool Exists (string logName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="logName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="logName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Exists">
      <MemberSignature Language="C#" Value="public static bool Exists (string logName, string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="logName" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="logName">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEventLogs">
      <MemberSignature Language="C#" Value="public static EventLog [] GetEventLogs ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.EventLog[]</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'EventLog []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEventLogs">
      <MemberSignature Language="C#" Value="public static EventLog [] GetEventLogs (string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.EventLog[]</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="machineName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'EventLog []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="SourceExists">
      <MemberSignature Language="C#" Value="public static bool SourceExists (string source);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="SourceExists">
      <MemberSignature Language="C#" Value="public static bool SourceExists (string source, string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="LogNameFromSourceName">
      <MemberSignature Language="C#" Value="public static string LogNameFromSourceName (string source, string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteEntry">
      <MemberSignature Language="C#" Value="public static void WriteEntry (string source, string message);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
		<Parameter Name="message" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <param name="message">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteEntry">
      <MemberSignature Language="C#" Value="public static void WriteEntry (string source, string message, EventLogEntryType type);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
		<Parameter Name="message" Type="System.String" />
		<Parameter Name="type" Type="System.Diagnostics.EventLogEntryType" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <param name="message">To be added: an object of type 'string'</param>
        <param name="type">To be added: an object of type 'EventLogEntryType'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteEntry">
      <MemberSignature Language="C#" Value="public static void WriteEntry (string source, string message, EventLogEntryType type, int eventID);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
		<Parameter Name="message" Type="System.String" />
		<Parameter Name="type" Type="System.Diagnostics.EventLogEntryType" />
		<Parameter Name="eventID" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <param name="message">To be added: an object of type 'string'</param>
        <param name="type">To be added: an object of type 'EventLogEntryType'</param>
        <param name="eventID">To be added: an object of type 'int'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteEntry">
      <MemberSignature Language="C#" Value="public static void WriteEntry (string source, string message, EventLogEntryType type, int eventID, short category);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
		<Parameter Name="message" Type="System.String" />
		<Parameter Name="type" Type="System.Diagnostics.EventLogEntryType" />
		<Parameter Name="eventID" Type="System.Int32" />
		<Parameter Name="category" Type="System.Int16" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <param name="message">To be added: an object of type 'string'</param>
        <param name="type">To be added: an object of type 'EventLogEntryType'</param>
        <param name="eventID">To be added: an object of type 'int'</param>
        <param name="category">To be added: an object of type 'short'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteEntry">
      <MemberSignature Language="C#" Value="public static void WriteEntry (string source, string message, EventLogEntryType type, int eventID, short category, byte [] rawData);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="source" Type="System.String" />
		<Parameter Name="message" Type="System.String" />
		<Parameter Name="type" Type="System.Diagnostics.EventLogEntryType" />
		<Parameter Name="eventID" Type="System.Int32" />
		<Parameter Name="category" Type="System.Int16" />
		<Parameter Name="rawData" Type="System.Byte[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="source">To be added: an object of type 'string'</param>
        <param name="message">To be added: an object of type 'string'</param>
        <param name="type">To be added: an object of type 'EventLogEntryType'</param>
        <param name="eventID">To be added: an object of type 'int'</param>
        <param name="category">To be added: an object of type 'short'</param>
        <param name="rawData">To be added: an object of type 'byte []'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="EndInit">
      <MemberSignature Language="C#" Value="public virtual void EndInit ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="BeginInit">
      <MemberSignature Language="C#" Value="public virtual void BeginInit ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Dispose">
      <MemberSignature Language="C#" Value="protected virtual void Dispose (bool disposing);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="disposing" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="disposing">To be added: an object of type 'bool'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Clear">
      <MemberSignature Language="C#" Value="public void Clear ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Close">
      <MemberSignature Language="C#" Value="public void Close ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteEntry">
      <MemberSignature Language="C#" Value="public void WriteEntry (string message);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="message" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteEntry">
      <MemberSignature Language="C#" Value="public void WriteEntry (string message, EventLogEntryType type);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="message" Type="System.String" />
		<Parameter Name="type" Type="System.Diagnostics.EventLogEntryType" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">To be added: an object of type 'string'</param>
        <param name="type">To be added: an object of type 'EventLogEntryType'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteEntry">
      <MemberSignature Language="C#" Value="public void WriteEntry (string message, EventLogEntryType type, int eventID);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="message" Type="System.String" />
		<Parameter Name="type" Type="System.Diagnostics.EventLogEntryType" />
		<Parameter Name="eventID" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">To be added: an object of type 'string'</param>
        <param name="type">To be added: an object of type 'EventLogEntryType'</param>
        <param name="eventID">To be added: an object of type 'int'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteEntry">
      <MemberSignature Language="C#" Value="public void WriteEntry (string message, EventLogEntryType type, int eventID, short category);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="message" Type="System.String" />
		<Parameter Name="type" Type="System.Diagnostics.EventLogEntryType" />
		<Parameter Name="eventID" Type="System.Int32" />
		<Parameter Name="category" Type="System.Int16" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">To be added: an object of type 'string'</param>
        <param name="type">To be added: an object of type 'EventLogEntryType'</param>
        <param name="eventID">To be added: an object of type 'int'</param>
        <param name="category">To be added: an object of type 'short'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="WriteEntry">
      <MemberSignature Language="C#" Value="public void WriteEntry (string message, EventLogEntryType type, int eventID, short category, byte [] rawData);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="message" Type="System.String" />
		<Parameter Name="type" Type="System.Diagnostics.EventLogEntryType" />
		<Parameter Name="eventID" Type="System.Int32" />
		<Parameter Name="category" Type="System.Int16" />
		<Parameter Name="rawData" Type="System.Byte[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="message">To be added: an object of type 'string'</param>
        <param name="type">To be added: an object of type 'EventLogEntryType'</param>
        <param name="eventID">To be added: an object of type 'int'</param>
        <param name="category">To be added: an object of type 'short'</param>
        <param name="rawData">To be added: an object of type 'byte []'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public EventLog ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'EventLog'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public EventLog (string logName);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="logName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="logName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'EventLog'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public EventLog (string logName, string machineName);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="logName" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="logName">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'EventLog'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public EventLog (string logName, string machineName, string source);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="logName" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
		<Parameter Name="source" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="logName">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <param name="source">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'EventLog'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Entries">
      <MemberSignature Language="C#" Value="public EventLogEntryCollection Entries { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.EventLogEntryCollection</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'EventLogEntryCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="LogDisplayName">
      <MemberSignature Language="C#" Value="public string LogDisplayName { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Log">
      <MemberSignature Language="C#" Value="public string Log { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="MachineName">
      <MemberSignature Language="C#" Value="public string MachineName { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="EnableRaisingEvents">
      <MemberSignature Language="C#" Value="public bool EnableRaisingEvents { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="SynchronizingObject">
      <MemberSignature Language="C#" Value="public ComponentModel.ISynchronizeInvoke SynchronizingObject { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.ISynchronizeInvoke</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'ComponentModel.ISynchronizeInvoke'</param>
        <returns>To be added: an object of type 'ComponentModel.ISynchronizeInvoke'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Source">
      <MemberSignature Language="C#" Value="public string Source { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="EntryWritten">
      <MemberSignature Language="C#" Value="public event EntryWrittenEventHandler EntryWritten;" />
      <MemberType>Event</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.EntryWrittenEventHandler</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
